Closed Bug 955336 Opened 8 years ago Closed 8 years ago

aPhotoNode.getElement(...) is null when connecting to LiveJournal

Categories

(Chat Core :: XMPP, defect)

defect
Not set
minor

Tracking

(Not tracked)

RESOLVED FIXED

People

(Reporter: clokep, Assigned: clokep)

Details

Attachments

(1 file)

*** Original post on bio 1900 at 2013-03-16 17:52:00 UTC ***

When connecting to Live Journal our XMPP code throws an error:
Timestamp: 3/16/2013 1:38:03 PM
Error: TypeError: aPhotoNode.getElement(...) is null
Source File: resource:///modules/xmpp-xml.jsm
Line: 389

(Note that this line / file infomration seems to be bogus...I wonder if we need to port bug 955273 (bio 1840) to XMPP somewhere...)

The real location of this error seems to be [1], the iq stanza I receive is (edited for privacy):
<iq xmlns="jabber:client" from="foo@livejournal.com" to="foo@livejournal.com/Instantbird" id="26" type="error">
 <vCard xmlns="vcard-temp">
  <FN xmlns="vcard-temp">
   !7(V
  </FN>
  <BDAY xmlns="vcard-temp">
   00-00
  </BDAY>
  <ROLE xmlns="vcard-temp"/>
  <DESC xmlns="vcard-temp"/>
  <URL xmlns="vcard-temp">
   http://foo.livejournal.com
  </URL>
  <TEL xmlns="vcard-temp">
   <NUMBER xmlns="vcard-temp"/>
  </TEL>
  <PHOTO xmlns="vcard-temp">
   <BINVAL xmlns="vcard-temp">
    R0lGOD....lots of stuff...=
   </BINVAL>
  </PHOTO>
  <EMAIL xmlns="vcard-temp">
   <USERID xmlns="vcard-temp"/>
  </EMAIL>
  <ADR xmlns="vcard-temp">
   <STREET xmlns="vcard-temp"/>
   <LOCALITY xmlns="vcard-temp"/>
   <REGION xmlns="vcard-temp">
    Foo
   </REGION>
   <PCODE xmlns="vcard-temp"/>
   <CTRY xmlns="vcard-temp">
    AB
   </CTRY>
  </ADR>
  <NICKNAME xmlns="vcard-temp">
   foobar
  </NICKNAME>
 </vCard>
 <error xmlns="jabber:client" code="405" type="cancel">
  <not-allowed xmlns="urn:ietf:params:xml:ns:xmpp-stanzas"/>
 </error>
</iq>

I have the full log if someone needs to see it.

[2] seems to imply that the TYPE element is not required (it SHOULD be there, not that it MUST be there). Additionally [3] says that "The XML character data of the <TYPE/> element is a hint. If the XML character data of the <TYPE/> specifies a content type that does not match the data provided in the <BINVAL/> element, the processing application MUST adhere to the content type of the actual image data and MUST ignore the <TYPE/>."

[1] http://lxr.instantbird.org/instantbird/source/chat/protocols/xmpp/xmpp.jsm#445
[2] http://xmpp.org/extensions/xep-0153.html#bizrules-xml
[3] http://xmpp.org/extensions/xep-0153.html#impl
*** Original post on bio 1900 by Max Waterman <davidmaxwaterman+bugzilla-daemon AT fastmail.co.uk> at 2013-08-14 11:34:23 UTC ***

FYI, I get this error too, and the effect *seems* to be that I cannot join a channel (I have it set to auto-join, but trying manually also seems to fail).

It hasn't always been this way though...it would quite reliably join until the past week or so.

I reported my problem here, but I think it's the same thing as this report :
<https://bugzilla.mozilla.org/show_bug.cgi?id=905094>
Attached patch Null checkSplinter Review
*** Original post on bio 1900 as attmnt 2905 at 2013-09-25 19:19:00 UTC ***

Adds a null check on the photo element, entirely untested.
Attachment #8354675 - Flags: review?(florian)
Assignee: nobody → clokep
Status: NEW → ASSIGNED
Comment on attachment 8354675 [details] [diff] [review]
Null check

*** Original change on bio 1900 attmnt 2905 at 2013-09-25 19:21:08 UTC ***

Thanks!
Attachment #8354675 - Flags: review?(florian) → review+
*** Original post on bio 1900 at 2013-09-25 19:30:03 UTC ***

Should be fixed in tomorrow's Instantbird nightly.

http://hg.instantbird.org/instantbird/rev/4ccdab9c316f
Status: ASSIGNED → RESOLVED
Closed: 8 years ago
Resolution: --- → FIXED
Target Milestone: --- → 1.5
You need to log in before you can comment on or make changes to this bug.